#include <stdio.h>
#include <stdlib.h>

#include "db.h"
#include "game.h"




void grow_plants() {
	int i;
	unsigned char r[6];

	/* get weather and last environments to calculate the next one */
	sprintf(query, "select\
			f.id, f.size, f.age, p.size, p.growspeed, p.age\
			from field f\
			join plant p on f.plant_id = p.id ");
	db_query(query);
	/* printf("number of plants to process: %d\n", (int)mysql_num_rows(result)); */
	while (sqlite3_step(stmt) == SQLITE_ROW) {
		for (i = 0; i < 6; i++) {
			r[i] = (char) sqlite3_column_int(stmt, i);
		}

		sprintf(query, "update field set \
				size = '%d', age = '%d' \
				where id = '%d' ",
				(r[1] + 1), r[2]+1, r[0]);
		db_query(query);
		;

		if (sqlite3_step(stmt) == SQLITE_DONE) {
			printf("update successful  ++  %s\n", query);
		} else {
			printf("E: update failed  ++  %s\n", sqlite3_errmsg(db));
		}

	}
	sqlite3_finalize(stmt);




}


int main(int argc, char* argv[]) {
	printf("  --> %s\n", argv[0]);

	/* init */
	if (argc != 2) {
		printf("usage: %s <database>\n", argv[0]);
		exit(1);
	}
	database = argv[1];

	db_connect();
	read_time();

	grow_plants();


	db_close();

	printf("  --< %s\n", argv[0]);
	return 0;
}
