#include <stdio.h>
#include <stdlib.h>

#include "db.h"
#include "game.h"



void inc_time() {
	/* get current time */
	sprintf(query, "select time from game;");
	db_query(query);
	if (sqlite3_step(stmt) == SQLITE_ROW) {
		gametime = sqlite3_column_int(stmt, 0);
		printf("gametime: %d\n", gametime);
	} else {
		fprintf(stderr, "error: %s\n", sqlite3_errmsg(db));
	}
	sqlite3_finalize(stmt);

	/* increment time */
	sprintf(query, " update game set time = '%d';", ++gametime);
	db_query(query);
	if (sqlite3_step(stmt) == SQLITE_DONE) {
		printf("time update successful\n");
		printf("virtual time: %d\n", gametime);
	} else {
		printf("error: time update failed: %s\n", sqlite3_errmsg(db));
	}
	sqlite3_finalize(stmt);
}


int main(int argc, char* argv[]) {
	printf("  --> clock\n");

	/* init */
	if (argc != 2) {
		printf("usage: %s <game>\n", argv[0]);
		exit(1);
	}
	database = argv[1];

	db_connect();
	read_time();

	inc_time();

/*
	while ((row = mysql_fetch_row(result)) != NULL) {
		for (i = 0; i < mysql_num_fields(result); i++) {
			printf("%10s  ", row[i]);
		}
		printf("\n");
	}
	*/




	db_close();

	printf("  --< clock\n");
	return 0;
}
