/*
 * data for the database connection
 */

#include <sqlite3.h>

char* database;
char query[1024];
sqlite3* db;
sqlite3_stmt* stmt;



void db_connect() {
	if (sqlite3_open(database, &db) != SQLITE_OK) {
		fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));
		sqlite3_close(db);
		exit(1);
	}
}


void db_close() {
	sqlite3_close(db);
}


/*
static int callback(void* NotUsed, int argc, char* argv[], char* azColName[]){
	NotUsed = NULL;
	int i;
	for (i = 0; i < argc; i++) {
		printf("%s = %s\n", azColName[i], argv[i] ? argv[i]: "NULL");
	}
	printf("\n");
	return 0;
}

int rc;
char* zErrMsg = 0;
rc = sqlite3_exec(db, query, callback, 0, &zErrMsg);
*/


void db_query(char* query) {
	int error;

	error = sqlite3_prepare(db, query, -1, &stmt, NULL);
	if (error) {
		fprintf(stderr, "SQL error: %s\n", sqlite3_errmsg(db));
	}
}
